Bug 1567697 - Rename package gcin-table to gcin-tables
Summary: Rename package gcin-table to gcin-tables
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: gcin
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zamir SUN
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-16 02:36 UTC by Wei-Lun Chao
Modified: 2018-07-23 13:54 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-23 13:54:57 UTC
Type: Bug


Attachments (Terms of Use)

Description Wei-Lun Chao 2018-04-16 02:36:53 UTC
Description of problem:
One of the packages in gcin called gcin-table, which includes
tables for table-engine, but not the table engines.
Thus the better package name would be gcin-tables.

Version-Release number of selected component (if applicable):
2.8.5

How reproducible:
always

Steps to Reproduce:
1. rpm -qfi /usr/share/gcin/table/cj.gtab
2.
3.

Actual results:
gcin-table

Expected results:
gcin-tables

Additional info:

Comment 1 Zamir SUN 2018-04-18 14:28:09 UTC
I think it doesn't matter much. The gcin-table package has been using this name for a long time in Fedora.

Comment 2 Wei-Lun Chao 2018-05-04 02:47:44 UTC
Debian(Ubuntu) uses gcin-tables for package name.

Comment 3 Zamir SUN 2018-07-23 13:54:57 UTC
Well, I still don't think this is a fit for a package rename under Fedora packaging guidelines. I believe Fedora never promise to have the same sub-package naming pattern with other distro.


Note You need to log in before you can comment on or make changes to this bug.